<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="list" id="notes-list">
    <input type="hidden" id="userstoryId" th:value="${userstory.id} != null ? ${userstory.id}" />
    <th:block th:if="${not #lists.isEmpty(userstory.notes)}" th:replace="common/fragments/elements :: notestimeline(notes = ${userstory.notes})" />
    <br />
    <th:block
      th:replace="common/fragments/form :: actionbuttonsListOnClick(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                    icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                    icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES},
                                                                    icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                                    icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                                    icon2function = 'javascript:createNote',
                                                                    icon2list = ${typesofworkitemnote},
                                                                    icon2listtype = ${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORKITEMNOTE} + '.' 
                                                                    )" />
  </div>
  <th:block th:fragment="new">
    <form class="ui form" id="userstoryNote-form" method="post" th:object="${userstorynote}">
      <input type="hidden" th:field="${userstorynote.typeOfNote.id}" readonly="readonly" />
      <input type="hidden" th:field="${userstorynote.userStory}" th:value="${userstory}" />
      <div class="ui grid">
        <div class="row">
          <div class="column">
            <h2 class="ui dividing header">
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_NOTETAB_BIG}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORKITEMNOTE + '.' + userstorynote.typeOfNote.id}}"></span>
            </h2>
            <div class="field">
              <textarea th:rows="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_CKEDITOR_ROWS}" th:field="*{content}"></textarea>
            </div>
            <br />
            <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                                         icon1text = null,
                                                                         icon1url = null,
                                                                         icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                         icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                         icon2url = ''
                                                                         )" />
          </div>
        </div>
      </div>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>